API ReferenceBoard
Updates the Board resource
Updates the Board resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
Board identifier
The updated Board resource
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
length <= 100description?|
Length
length <= 100000dateStart?string
Format
date-timedateEnd?string
Format
date-timeisBlameableRemovalEnabled?boolean
boardType?|
Format
uuidResponse Body
curl -X PATCH "https://example.com/project/boards/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "in-preparation", "shortCode": "string", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "progress": 0, "weight": 0, "timePlanned": 0, "timeReported": 0, "isBlameableRemovalEnabled": false, "taskCountToDo": 0, "taskCountInProgress": 0, "taskCountDone": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "projectShortCode": "string", "boardType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "canManage": false}